VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::content::library::item::DownloadSessionModel Class Reference

The `DownloadSessionModel` class provides information on an active DownloadSession resource. More...

List of all members.

## Classes
class | State
| The state of the download session. More...
## Public Member Functions
| DownloadSessionModel ()
| Creates a default new instance.
string | GetId ()
| The identifier of this download session.
void | SetId (string id)
| The identifier of this download session.
string | GetLibraryItemId ()
| The identifier of the library item whose content is being downloaded.
void | SetLibraryItemId (string libraryItemId)
| The identifier of the library item whose content is being downloaded.
string | GetLibraryItemContentVersion ()
| The content version of the library item whose content is being downloaded.
void | SetLibraryItemContentVersion (string libraryItemContentVersion)
| The content version of the library item whose content is being downloaded.
vmware.vapi.std.LocalizableMessage | GetErrorMessage ()
| If the session is in the DownloadSessionModel.State.ERROR status this property will have more details about the error.
void | SetErrorMessage (vmware.vapi.std.LocalizableMessage errorMessage)
| If the session is in the DownloadSessionModel.State.ERROR status this property will have more details about the error.
long | GetClientProgress ()
| The progress that has been made with the download.
void | SetClientProgress (long?clientProgress)
| The progress that has been made with the download.
vmware.content.library.item.DownloadSessionModel.State | GetState ()
| The current state ( ACTIVE, CANCELED, ERROR) of the download session.
void | SetState (vmware.content.library.item.DownloadSessionModel.State state)
| The current state ( ACTIVE, CANCELED, ERROR) of the download session.
global::System.DateTimeOffset | GetExpirationTime ()
| Indicates the time after which the session will expire.
void | SetExpirationTime (global::System.DateTimeOffset?expirationTime)
| Indicates the time after which the session will expire.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `DownloadSessionModel` class provides information on an active DownloadSession resource.

## Constructor & Destructor Documentation

vmware::content::library::item::DownloadSessionModel::DownloadSessionModel | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::DownloadSessionModel::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::DownloadSessionModel::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::DownloadSessionModel::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::DownloadSessionModel::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::DownloadSessionModel::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::DownloadSessionModel::Equals | ( | object | obj | ) | `[inline]`

long vmware::content::library::item::DownloadSessionModel::GetClientProgress | ( |  | ) | `[inline]`

The progress that has been made with the download.

This property is to be updated by the client during the download process to indicate the progress of its work in completing the download. The initial progress is 0 until updated by the client. The maximum value is 100, which indicates that the download is complete.

vmware.vapi.std.LocalizableMessage vmware::content::library::item::DownloadSessionModel::GetErrorMessage | ( |  | ) | `[inline]`

If the session is in the DownloadSessionModel.State.ERROR status this property will have more details about the error.

global::System.DateTimeOffset vmware::content::library::item::DownloadSessionModel::GetExpirationTime | ( |  | ) | `[inline]`

Indicates the time after which the session will expire.

The session is guaranteed not to expire before this time.

override int vmware::content::library::item::DownloadSessionModel::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::item::DownloadSessionModel::GetId | ( |  | ) | `[inline]`

The identifier of this download session.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

string vmware::content::library::item::DownloadSessionModel::GetLibraryItemContentVersion | ( |  | ) | `[inline]`

The content version of the library item whose content is being downloaded.

This value is the vmware.content.library.ItemModel.contentVersion at the time when the session is created for the library item.

string vmware::content::library::item::DownloadSessionModel::GetLibraryItemId | ( |  | ) | `[inline]`

The identifier of the library item whose content is being downloaded.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

vmware.content.library.item.DownloadSessionModel.State vmware::content::library::item::DownloadSessionModel::GetState | ( |  | ) | `[inline]`

The current state ( ACTIVE, CANCELED, ERROR) of the download session.

void vmware::content::library::item::DownloadSessionModel::SetClientProgress | ( | long? | clientProgress | ) | `[inline]`

The progress that has been made with the download.

This property is to be updated by the client during the download process to indicate the progress of its work in completing the download. The initial progress is 0 until updated by the client. The maximum value is 100, which indicates that the download is complete.

void vmware::content::library::item::DownloadSessionModel::SetErrorMessage | ( | vmware.vapi.std.LocalizableMessage | errorMessage | ) | `[inline]`

If the session is in the DownloadSessionModel.State.ERROR status this property will have more details about the error.

void vmware::content::library::item::DownloadSessionModel::SetExpirationTime | ( | global::System.DateTimeOffset? | expirationTime | ) | `[inline]`

Indicates the time after which the session will expire.

The session is guaranteed not to expire before this time.

void vmware::content::library::item::DownloadSessionModel::SetId | ( | string | id | ) | `[inline]`

The identifier of this download session.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

void vmware::content::library::item::DownloadSessionModel::SetLibraryItemContentVersion | ( | string | libraryItemContentVersion | ) | `[inline]`

The content version of the library item whose content is being downloaded.

This value is the vmware.content.library.ItemModel.contentVersion at the time when the session is created for the library item.

void vmware::content::library::item::DownloadSessionModel::SetLibraryItemId | ( | string | libraryItemId | ) | `[inline]`

The identifier of the library item whose content is being downloaded.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

void vmware::content::library::item::DownloadSessionModel::SetState | ( | vmware.content.library.item.DownloadSessionModel.State | state | ) | `[inline]`

The current state ( ACTIVE, CANCELED, ERROR) of the download session.

override string vmware::content::library::item::DownloadSessionModel::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DownloadSessionModel.cs